--[[ From DToX:
If you want custom order of the keys add <LANGUAGE>_KEY field. For example, GERMAN_KEY.
--]]


-- E.G -- wBListParent:SetText(_LANG.BListWindowTitle[SETTINGS.LANGUAGE]);

_LANG =
	{

	-- [STRINGNAME] = 	{["ENGLISH"] = "";	["FRENCH"] = "";	["GERMAN"] = "";};

	["NAME"] = 			{["ENGLISH"] = "Item Name";				["FRENCH"] = "Item Name";			["GERMAN"] = "Item Name";};
	["NAME2"] = 		{["ENGLISH"] = "Name";					["FRENCH"] = "Name";				["GERMAN"] = "Name";};
	["ITEMID"] = 		{["ENGLISH"] = "Linked ID";				["FRENCH"] = "Linked ID";			["GERMAN"] = "Linked ID";};
	["COLOR"] = 		{["ENGLISH"] = "Color";					["FRENCH"] = "Color";				["GERMAN"] = "Color";};
	["STATS"] =			{["ENGLISH"] = "Stats";					["FRENCH"] = "Stats";				["GERMAN"] = "Stats";};
	["MIN"] =			{["ENGLISH"] = "Min";					["FRENCH"] = "Min";					["GERMAN"] = "Min";};
	["MAX"] =			{["ENGLISH"] = "Max";					["FRENCH"] = "Max";					["GERMAN"] = "Max";};
	["MINLEVEL"] = 		{["ENGLISH"] = "Minimum Level";			["FRENCH"] = "Minimum Level";		["GERMAN"] = "Minimum Level";};
	["LEVEL"] = 		{["ENGLISH"] = "Level";					["FRENCH"] = "Level";				["GERMAN"] = "Level";};
	["CLASS"] = 		{["ENGLISH"] = "Class";					["FRENCH"] = "Class";				["GERMAN"] = "Class";};
	["ADDITEM"] = 		{["ENGLISH"] = "Add Item";				["FRENCH"] = "Add Item";			["GERMAN"] = "Add Item";};
	["EDITITEM"] = 		{["ENGLISH"] = "Edit Item";				["FRENCH"] = "Edit Item";			["GERMAN"] = "Edit Item";};
	["RESULTS"] = 		{["ENGLISH"] = "results";				["FRENCH"] = "results";				["GERMAN"] = "results";};
	["TYPE"] = 			{["ENGLISH"] = "Type";					["FRENCH"] = "Type";				["GERMAN"] = "Type";};
	["RESET"] = 		{["ENGLISH"] = "New Search";			["FRENCH"] = "New Search";			["GERMAN"] = "New Search";};
	["MYITEMS"] = 		{["ENGLISH"] = "My Items";				["FRENCH"] = "My Items";			["GERMAN"] = "My Items";};
	["QUALITY"] = 		{["ENGLISH"] = "Quality";				["FRENCH"] = "Quality";				["GERMAN"] = "Quality";};
	["DMGTYPE"] = 		{["ENGLISH"] = "Damage Type";			["FRENCH"] = "Damage Type";			["GERMAN"] = "Damage Type";};
	["DPS"] = 			{["ENGLISH"] = "DPS";					["FRENCH"] = "DPS";					["GERMAN"] = "DPS";};
	-- DToX Start
	--[[ Duplicates (already have)
	["MIN"] = 			{["ENGLISH"] = "Min";					["FRENCH"] = "Min";					["GERMAN"] = "Min";};
	["MAX"] = 			{["ENGLISH"] = "Max";					["FRENCH"] = "Max";					["GERMAN"] = "Max";};
	--]]
	-- DToX End
	["UPDATE"] = 		{["ENGLISH"] = "Update";				["FRENCH"] = "Update";				["GERMAN"] = "Update";};
	["WISHLIST"] = 		{["ENGLISH"] = "Wishlist";				["FRENCH"] = "Wishlist";			["GERMAN"] = "Wishlist";};
	-- DToX Start
	-- For popup menu. Used in Builds.lua and MainWin.lua
	["TOWISHLIST"] = 	{["ENGLISH"] = "To Wishlist";			["FRENCH"] = "To Wishlist";			["GERMAN"] = "To Wishlist";};
	-- DToX End
	["ADDNOTE"] = 		{["ENGLISH"] = "Add note";				["FRENCH"] = "Add note";			["GERMAN"] = "Add note";};

	["CHECKALL"] = 		{["ENGLISH"] = "Check All";				["FRENCH"] = "Check All";			["GERMAN"] = "Check All";};
	["DELETE"] = 		{["ENGLISH"] = "Delete";				["FRENCH"] = "Delete";				["GERMAN"] = "Delete";};
	["EXPORT"] = 		{["ENGLISH"] = "Export";				["FRENCH"] = "Export";				["GERMAN"] = "Export";};
	["BACK"] = 			{["ENGLISH"] = "Back";					["FRENCH"] = "Back";				["GERMAN"] = "Back";};
	["SELECTALL"] = 	{["ENGLISH"] = "Select All";			["FRENCH"] = "Select All";			["GERMAN"] = "Select All";};
	["EDIT"] = 			{["ENGLISH"] = "Edit";					["FRENCH"] = "Edit";				["GERMAN"] = "Edit";};

	["ITEMSCOMPARE"] =	{["ENGLISH"] = "Items to compare";		["FRENCH"] = "Items to compare";	["GERMAN"] = "Items to compare";};

	["SLOT"] = 			{["ENGLISH"] = "Slot";					["FRENCH"] = "Slot";				["GERMAN"] = "Slot";};
	["EQUIPPED"] = 		{["ENGLISH"] = "Equipped Item";			["FRENCH"] = "Equipped Item";		["GERMAN"] = "Equipped Item";};
	["ITEM1"] = 		{["ENGLISH"] = "Item One";				["FRENCH"] = "Item One";			["GERMAN"] = "Item One";};
	["ITEM2"] = 		{["ENGLISH"] = "Item Two";				["FRENCH"] = "Item Two";			["GERMAN"] = "Item Two";};
	["SAVE"] = 			{["ENGLISH"] = "Save Item";				["FRENCH"] = "Save Item";			["GERMAN"] = "Save Item";};
	["COMPARE"] = 		{["ENGLISH"] = "Compare";				["FRENCH"] = "Compare";				["GERMAN"] = "Compare";};
	["CLEAR"] = 		{["ENGLISH"] = "Clear";					["FRENCH"] = "Clear";				["GERMAN"] = "Clear";};
	["NEW"] = 			{["ENGLISH"] = "New";					["FRENCH"] = "New";					["GERMAN"] = "New";};

	["NOITEM"] = 		{["ENGLISH"] = "No Item";				["FRENCH"] = "No Item";				["GERMAN"] = "No Item";};

	["CURRENT"] = 		{["ENGLISH"] = "Current Stats";			["FRENCH"] = "Current Stats";		["GERMAN"] = "Current Stats";};
	["EQUIPSTATS"] = 	{["ENGLISH"] = "Equipped Item Stats";	["FRENCH"] = "Equipped Item Stats";	["GERMAN"] = "Equipped Item Stats";};
	["ITEMSTATS"] = 	{["ENGLISH"] = "Item Stats";			["FRENCH"] = "Item Stats";			["GERMAN"] = "Item Stats";};
	["NEWSTATS"] = 		{["ENGLISH"] = "New Stat Total";		["FRENCH"] = "New Stat Total";		["GERMAN"] = "New Stat Total";};
	["VARIANCE"] = 		{["ENGLISH"] = "Var";					["FRENCH"] = "Var";					["GERMAN"] = "Var";};

	-- DToX Start
	-- Duplicate (already have)
	--["WISHLIST"] = 		{["ENGLISH"] = "Wishlist";				["FRENCH"] = "Wishlist";			["GERMAN"] = "Wishlist";};
	-- DToX End
	["FROMTULKAS"] = 	{["ENGLISH"] = "Linked from Tulkas";	["FRENCH"] = "Linked from Tulkas";	["GERMAN"] = "Linked from Tulkas";};
	["SETBONUS"] = 		{["ENGLISH"] = "Set Bonuses";			["FRENCH"] = "Set Bonuses";			["GERMAN"] = "Set Bonuses";};
	["EQUIPREFRESH"] = 	{["ENGLISH"] = "Get Equipment";			["FRENCH"] = "Get Equipment";		["GERMAN"] = "Get Equipment";};
	["ADDWISHLIST"] = 	{["ENGLISH"] = "Added to wishlist";		["FRENCH"] = "Added to wishlist";	["GERMAN"] = "Added to wishlist";};
	["EQUIPLBL"] = 		{["ENGLISH"] = "Equipped";				["FRENCH"] = "Equipped";			["GERMAN"] = "Equipped";};
	["SET"] = 			{["ENGLISH"] = "Set";					["FRENCH"] = "Set";					["GERMAN"] = "Set";};
	["COPYBUILD"] = 	{["ENGLISH"] = "Copy build to";			["FRENCH"] = "Copy build to";		["GERMAN"] = "Copy build to";};


	["MSGCOMPARE"] = {
		["ENGLISH"] = "There are not enough items entered to compare, please enter at least two items.";
		["FRENCH"] = "There are not enough items entered to compare, please enter at least two items.";
		["GERMAN"] = "There are not enough items entered to compare, please enter at least two items.";
		};

	["NORESULTS"] =	 {
		["ENGLISH"] = "No search results. Try expanding your search options, or alternatively you can add missing items by clicking the 'Add Item' button.";
		["FRENCH"] = "No search results. Try expanding your search options, or alternatively you can add missing items by clicking the 'Add Item' button.";
		["GERMAN"] = "No search results. Try expanding your search options, or alternatively you can add missing items by clicking the 'Add Item' button.";
		};

	["TOOMANYRESULTS"] =	 {
		["ENGLISH"] = "Some items have been omitted, please refine your search.";
		["FRENCH"] = "Some items have been omitted, please refine your search.";
		["GERMAN"] = "Some items have been omitted, please refine your search.";
		};

	["NOSTATS"] =	 {
		["ENGLISH"] = "Unable to save. Please make sure you've entered at least one stat then try again.";
		["FRENCH"] = "Unable to save. Please make sure you've entered at least one stat then try again.";
		["GERMAN"] = "Unable to save. Please make sure you've entered at least one stat then try again.";
		};

	["NONAME"] =	 {
		["ENGLISH"] = "Unable to save. Please make sure you've entered an item name then try again.";
		["FRENCH"] = "Unable to save. Please make sure you've entered an item name then try again.";
		["GERMAN"] = "Unable to save. Please make sure you've entered an item name then try again.";
		};

	["NEWSAVED"] =	 {
		["ENGLISH"] = "Save successful.";
		["FRENCH"] = "Save successful.";
		["GERMAN"] = "Save successful.";
		};

	["NEWUPDATE"] =	 {
		["ENGLISH"] = "Update successful.";
		["FRENCH"] = "Update successful.";
		["GERMAN"] = "Update successful.";
		};

	["SEARCHSTART"] =	 {
		["ENGLISH"] = "<< Search for items to begin";
		["FRENCH"] = "<< Search for items to begin";
		["GERMAN"] = "<< Search for items to begin";
		};
	
	-- DToX Start
	-- To let the user know. Used in MainWin.lua
	["SEARCHING"] = {
		["ENGLISH"] = "Searching...";
		["FRENCH"] = "Searching...";
		["GERMAN"] = "Searching...";
	};
	-- DToX End

	["EXPORTMSG"] =	 {
		["ENGLISH"] = "To export this data, click 'Select All' then copy using Ctrl+c. The data is then ready to be pasted elsewhere.";
		["FRENCH"] = "To export this data, click 'Select All' then copy using Ctrl+c. The data is then ready to be pasted elsewhere.";
		["GERMAN"] = "To export this data, click 'Select All' then copy using Ctrl+c. The data is then ready to be pasted elsewhere.";
		};

	["MSGUPLOAD"] =	 {
		["ENGLISH"] = "Please help develop this plugin by uploading your items to Lotro Interface to be included in future updates";
		["FRENCH"] = "Please help develop this plugin by uploading your items to Lotro Interface to be included in future updates";
		["GERMAN"] = "Please help develop this plugin by uploading your items to Lotro Interface to be included in future updates";
		};

	["MSGDELETE"] =	 {
		["ENGLISH"] = "Nothing selected to delete!";
		["FRENCH"] = "Nothing selected to delete!";
		["GERMAN"] = "Nothing selected to delete!";
		};

	["MSGEXPORT"] =	 {
		["ENGLISH"] = "Nothing selected to export!";
		["FRENCH"] = "Nothing selected to export!";
		["GERMAN"] = "Nothing selected to export!";
		};

	["MSGSELEDIT"] = {
		["ENGLISH"] = "Please make sure one item is selected!";
		["FRENCH"] = "Please make sure one item is selected!";
		["GERMAN"] = "Please make sure one item is selected!";
		};

	["MSGGETEQUIPMENT"] = {
		["ENGLISH"] = "Replace items in this build with your equipped items?";
		["FRENCH"] = "Replace items in this build with your equipped items?";
		["GERMAN"] = "Replace items in this build with your equipped items?";
		};

		
	-- DToX Start
	-- Messages from another files
	--[[Blank1
	[""] = {
		["ENGLISH"] = "";
		["FRENCH"] = "";
		["GERMAN"] = "";
	};
	--]]
	--[[Blank2
	[""] = {
		["KEY"] = {};
		["ENGLISH"] = {};
		["FRENCH"] = {};
		["GERMAN"] = {};
	};
	--]]
	
	-- From Builds.lua
	["SearchEquipment"] = {
		["ENGLISH"] = "Searching... please wait";
		["FRENCH"] = "Searching... please wait";
		["GERMAN"] = "Searching... please wait";
	};
	
	["EquipmentFound"] = {
		["ENGLISH"] = "Search complete";
		["FRENCH"] = "Search complete";
		["GERMAN"] = "Search complete";
	};
	
	["ClearBuild"] = {
		["ENGLISH"] = "Are you sure you want to clear this build?";
		["FRENCH"] = "Are you sure you want to clear this build?";
		["GERMAN"] = "Are you sure you want to clear this build?";
	};
	
	["SetItemsEquipped"] = { -- Example: "2 Equipped:" (Set's bonuses)
		["ENGLISH"] = " Equipped:";
		["FRENCH"] = " Equipped:";
		["GERMAN"] = " Equipped:";
	};
	
	-- From ChatLogger.lua
	["ErrorItemInstance"] = {
		["ENGLISH"] = "Item from instance, format cannot be used to obtain an ID - try dragging to quickslot instead";
		["FRENCH"] = "Item from instance, format cannot be used to obtain an ID - try dragging to quickslot instead";
		["GERMAN"] = "Item from instance, format cannot be used to obtain an ID - try dragging to quickslot instead";
	};
	
	-- From Compare.lua
	["CompareStatsTitles"] = { -- Used in Compare.lua instead of _STATSTITLES from Globals.lua
		["KEY"] = {"Maximum Morale","in-Combat Morale Regen","non-Combat Morale Regen","Maximum Power","in-Combat Power Regen","non-Combat Power Regen","Armour","Might","Agility","Vitality","Will","Fate","Critical Rating","Finesse Rating","Physical Mastery Rating","Tactical Mastery Rating","Resistance Rating","Critical Defence","Incoming Healing Rating","Block Rating","Parry Rating","Evade Rating","Physical Mitigation","Tactical Mitigation"};
		["ENGLISH"] = {"Maximum Morale","in-Combat Morale Regen","non-Combat Morale Regen","Maximum Power","in-Combat Power Regen","non-Combat Power Regen","Armour","Might","Agility","Vitality","Will","Fate","Critical Rating","Finesse Rating","Physical Mastery Rating","Tactical Mastery Rating","Resistance Rating","Critical Defence","Incoming Healing Rating","Block Rating","Parry Rating","Evade Rating","Physical Mitigation","Tactical Mitigation"};
		["FRENCH"] = {"Maximum Morale","in-Combat Morale Regen","non-Combat Morale Regen","Maximum Power","in-Combat Power Regen","non-Combat Power Regen","Armour","Might","Agility","Vitality","Will","Fate","Critical Rating","Finesse Rating","Physical Mastery Rating","Tactical Mastery Rating","Resistance Rating","Critical Defence","Incoming Healing Rating","Block Rating","Parry Rating","Evade Rating","Physical Mitigation","Tactical Mitigation"};
		["GERMAN"] = {"Maximum Morale","in-Combat Morale Regen","non-Combat Morale Regen","Maximum Power","in-Combat Power Regen","non-Combat Power Regen","Armour","Might","Agility","Vitality","Will","Fate","Critical Rating","Finesse Rating","Physical Mastery Rating","Tactical Mastery Rating","Resistance Rating","Critical Defence","Incoming Healing Rating","Block Rating","Parry Rating","Evade Rating","Physical Mitigation","Tactical Mitigation"};
	};
	
	["CompareTableLanguage"] = {
		["KEY"] = {"ENGLISH", "GERMAN", "FRENCH", "RUSSIAN"};
		["ENGLISH"] = {"English", "German", "French", "Russian"};
		["FRENCH"] = {"English", "German", "French", "Russian"};
		["GERMAN"] = {"English", "German", "French", "Russian"};
	};
	
	--[[ Table's header
	<table border="1">
	<TR>
	<TD></TD>
	<TD colspan="2">lblCompEquip:GetText()</TD>
	<TD></TD>
	<TD colspan="3">lblItemOne:GetText()</TD>
	<TD></TD>
	<TD colspan="3">lblItemTwo:GetText()</TD>
	</TR>
	
	<TR>
	<TD></TD>
	<TD>Char</TD><TD>Equipped</TD>
	<TD></TD>
	<TD>Item(s)</TD><TD>Char</TD><TD>Var</TD>
	<TD></TD>
	<TD>Item(s)</TD><TD>Char</TD><TD>Var</TD>
	</TR>
	</table>
	--]]
	["CompareTableHeader"] = {
		["KEY"] = {"Char", "Eq", "Item", "Var"};
		["ENGLISH"] = {"Char", "Equipped", "Item(s)", "Var"};
		["FRENCH"] = {"Char", "Equipped", "Item(s)", "Var"};
		["GERMAN"] = {"Char", "Equipped", "Item(s)", "Var"};
	};
	
	["CompareTableFooter"] = {
		["ENGLISH"] = "Comparative stats generated by Tulkas v";
		["FRENCH"] = "Comparative stats generated by Tulkas v";
		["GERMAN"] = "Comparative stats generated by Tulkas v";
	};
	
	-- From Main.lua
	["ErrorSettings"] = {
		["ENGLISH"] = "Error loading saved settings";
		["FRENCH"] = "Error loading saved settings";
		["GERMAN"] = "Error loading saved settings";
	};
	
	["ErrorItems"] = {
		["ENGLISH"] = "Error loading saved items";
		["FRENCH"] = "Error loading saved items";
		["GERMAN"] = "Error loading saved items";
	};
	
	["ErrorBuilds"] = {
		["ENGLISH"] = "Error loading builds";
		["FRENCH"] = "Error loading builds";
		["GERMAN"] = "Error loading builds";
	};
	
	["ErrorWishlist"] = {
		["ENGLISH"] = "Error loading wishlist";
		["FRENCH"] = "Error loading wishlist";
		["GERMAN"] = "Error loading wishlist";
	};
	
	["cmdMainWinHelp"] = {
		["ENGLISH"] = "Shows the main Tulkas window";
		["FRENCH"] = "Shows the main Tulkas window";
		["GERMAN"] = "Shows the main Tulkas window";
	};
	
	["cmdWishListHelp"] = {
		["ENGLISH"] = "Shows the Tulkas wishlist";
		["FRENCH"] = "Shows the Tulkas wishlist";
		["GERMAN"] = "Shows the Tulkas wishlist";
	};
	
	["cmdDBSIZEHelp"] = {
		["ENGLISH"] = "Calculates the item database size in Tulkas";
		["FRENCH"] = "Calculates the item database size in Tulkas";
		["GERMAN"] = "Calculates the item database size in Tulkas";
	};
	
	["DBSIZE1"] = { -- Before variable
		["ENGLISH"] = "Database size: ";
		["FRENCH"] = "Database size: ";
		["GERMAN"] = "Database size: ";
	};
	
	["DBSIZE2"] = { -- After variable
		["ENGLISH"] = " items";
		["FRENCH"] = " items";
		["GERMAN"] = " items";
	};
	
	["PluginLoadedInvisible"] = {
		["ENGLISH"] = "Plugin loaded.\n Use /tulkas to open the main window";
		["FRENCH"] = "Plugin loaded.\n Use /tulkas to open the main window";
		["GERMAN"] = "Plugin loaded.\n Use /tulkas to open the main window";
	};
	
	-- From MainWin.lua
	["btnSettingsChannel"] = {
		["ENGLISH"] = "Channel for item links:";
		["FRENCH"] = "Channel for item links:";
		["GERMAN"] = "Channel for item links:";
	};
	
	["ItemTypes"] = { -- Used in MainWin.lua, Wishlist.lua and NewItem.lua instead of _ITEMTYPES from Globals.lua
		["KEY"] = {"","Ear","Neck","Pocket","Wrist","Finger","Head","Shoulder","Back","Chest","Hand","Leg","Feet","Melee Weapon","Shield","Ranged Weapon","Rune-stone"};
		["ENGLISH"] = {"","Ear","Neck","Pocket","Wrist","Finger","Head","Shoulder","Back","Chest","Hand","Leg","Feet","Melee Weapon","Shield","Ranged Weapon","Rune-stone"};
		["FRENCH"] = {"","Ear","Neck","Pocket","Wrist","Finger","Head","Shoulder","Back","Chest","Hand","Leg","Feet","Melee Weapon","Shield","Ranged Weapon","Rune-stone"};
		["GERMAN"] = {"","Ear","Neck","Pocket","Wrist","Finger","Head","Shoulder","Back","Chest","Hand","Leg","Feet","Melee Weapon","Shield","Ranged Weapon","Rune-stone"};
	};
	
	["ItemColors"] = {
		["KEY"] = {"","Yellow","Purple","Teal","Orange"};
		["ENGLISH"] = {"","Yellow","Purple","Teal","Orange"};
		["FRENCH"] = {"","Yellow","Purple","Teal","Orange"};
		["GERMAN"] = {"","Yellow","Purple","Teal","Orange"};
	};
	
	["MeleeWeapons"] = { -- Used in MainWin.lua and NewItem.lua instead of _MELEEWEAPONS from Globals.lua
		["KEY"] = {"One-handed Axe","Two-handed Axe","One-handed Club","Two-handed Club","Dagger","Halberd","One-handed Hammer","Two-handed Hammer","One-handed Mace","Spear","Staff","One-handed Sword","Two-handed Sword"};
		["ENGLISH"] = {"One-handed Axe","Two-handed Axe","One-handed Club","Two-handed Club","Dagger","Halberd","One-handed Hammer","Two-handed Hammer","One-handed Mace","Spear","Staff","One-handed Sword","Two-handed Sword"};
		["FRENCH"] = {"One-handed Axe","Two-handed Axe","One-handed Club","Two-handed Club","Dagger","Halberd","One-handed Hammer","Two-handed Hammer","One-handed Mace","Spear","Staff","One-handed Sword","Two-handed Sword"};
		["GERMAN"] = {"One-handed Axe","Two-handed Axe","One-handed Club","Two-handed Club","Dagger","Halberd","One-handed Hammer","Two-handed Hammer","One-handed Mace","Spear","Staff","One-handed Sword","Two-handed Sword"};
	};
	
	["RangedWeapons"] = { -- Used in MainWin.lua and NewItem.lua instead of _RANGEDWEAPONS from Globals.lua
		["KEY"] = {"Bow","Crossbow","Javelin"};
		["ENGLISH"] = {"Bow","Crossbow","Javelin"};
		["FRENCH"] = {"Bow","Crossbow","Javelin"};
		["GERMAN"] = {"Bow","Crossbow","Javelin"};
	};
	
	["ShieldTypes"] = { -- Used in MainWin.lua and NewItem.lua instead of _SHIELDS from Globals.lua
		["KEY"] = {"Light","Heavy","Warden"};
		["ENGLISH"] = {"Light","Heavy","Warden"};
		["FRENCH"] = {"Light","Heavy","Warden"};
		["GERMAN"] = {"Light","Heavy","Warden"};
	};
	
	["PopupDirect"] = {
		["ENGLISH"] = "Direct Compare:";
		["FRENCH"] = "Direct Compare:";
		["GERMAN"] = "Direct Compare:";
	};
	
	["PopupBuild"] = {
		["ENGLISH"] = "Build:";
		["FRENCH"] = "Build:";
		["GERMAN"] = "Build:";
	};
	
	["PopupSlots"] = { -- Used in MainWin.lua and Builds.lua
		["KEY"] = {"Earring1","Earring2","Necklace","Pocket","Bracelet1","Bracelet2","Ring1","Ring2","Head","Shoulder","Back","Chest","Gloves","Legs","Boots","PrimaryWeapon","SecondaryWeapon","RangedWeapon","Shield"};
		["ENGLISH"] = {"Earring 1","Earring 2","Necklace","Pocket","Bracelet 1","Bracelet 2","Ring 1","Ring 2","Head","Shoulder","Back","Chest","Gloves","Legs","Boots","Primary Weapon","Secondary Weapon","Ranged Weapon","Shield"};
		["FRENCH"] = {"Earring 1","Earring 2","Necklace","Pocket","Bracelet 1","Bracelet 2","Ring 1","Ring 2","Head","Shoulder","Back","Chest","Gloves","Legs","Boots","Primary Weapon","Secondary Weapon","Ranged Weapon","Shield"};
		["GERMAN"] = {"Earring 1","Earring 2","Necklace","Pocket","Bracelet 1","Bracelet 2","Ring 1","Ring 2","Head","Shoulder","Back","Chest","Gloves","Legs","Boots","Primary Weapon","Secondary Weapon","Ranged Weapon","Shield"};
	};
	
	["ClassNames"] = { -- Used in MainWin.lua and NewItem.lua instead of _CLASS from Globals.lua
		["KEY"] = {"","Burglar","Captain","Champion","Guardian","Hunter","LoreMaster","Minstrel","RuneKeeper","Warden"};
		["ENGLISH"] = {"","Burglar","Captain","Champion","Guardian","Hunter","LoreMaster","Minstrel","RuneKeeper","Warden"};
		["FRENCH"] = {"","Burglar","Captain","Champion","Guardian","Hunter","LoreMaster","Minstrel","RuneKeeper","Warden"};
		["GERMAN"] = {"","Burglar","Captain","Champion","Guardian","Hunter","LoreMaster","Minstrel","RuneKeeper","Warden"};
	};
	
	["ErrorStoreCompare"] = {
		["ENGLISH"] = "There has been an error storing your item";
		["FRENCH"] = "There has been an error storing your item";
		["GERMAN"] = "There has been an error storing your item";
	};
	
	["ErrorRemoveCompare"] = {
		["ENGLISH"] = "There has been an error removing your item";
		["FRENCH"] = "There has been an error removing your item";
		["GERMAN"] = "There has been an error removing your item";
	};
	
	-- From NewItem.lua
	["ListenToChannel"] = {
		["ENGLISH"] = "Channel to listen to:";
		["FRENCH"] = "Channel to listen to:";
		["GERMAN"] = "Channel to listen to:";
	};
	
	["ChannelNames"] = {
		["KEY"] = {"Admin","Advancement","Advice","Death","Emote","EnemyCombat","Error","Fellowship","IsA","Kinship","LFF","Officer","OOC","PlayerCombat","Quest","Raid","Regional","Roleplay","Say","Standard","Tell","Trade","Tribe","Undef","Unfiltered","UserChat1","UserChat2","UserChat3","UserChat4"};
		["ENGLISH"] = {"Admin","Advancement","Advice","Death","Emote","EnemyCombat","Error","Fellowship","IsA","Kinship","LFF","Officer","OOC","PlayerCombat","Quest","Raid","Regional","Roleplay","Say","Standard","Tell","Trade","Tribe","Undef","Unfiltered","UserChat1","UserChat2","UserChat3","UserChat4"};
		["FRENCH"] = {"Admin","Advancement","Advice","Death","Emote","EnemyCombat","Error","Fellowship","IsA","Kinship","LFF","Officer","OOC","PlayerCombat","Quest","Raid","Regional","Roleplay","Say","Standard","Tell","Trade","Tribe","Undef","Unfiltered","UserChat1","UserChat2","UserChat3","UserChat4"};
		["GERMAN"] = {"Admin","Advancement","Advice","Death","Emote","EnemyCombat","Error","Fellowship","IsA","Kinship","LFF","Officer","OOC","PlayerCombat","Quest","Raid","Regional","Roleplay","Say","Standard","Tell","Trade","Tribe","Undef","Unfiltered","UserChat1","UserChat2","UserChat3","UserChat4"};
	};
	
	["ListeningInChannel"] = {
		["ENGLISH"] = "Listening for items in ";
		["FRENCH"] = "Listening for items in ";
		["GERMAN"] = "Listening for items in ";
	};
	
	["DragAndDrop"] = {
		["ENGLISH"] = "Drag-drop:";
		["FRENCH"] = "Drag-drop:";
		["GERMAN"] = "Drag-drop:";
	};
	
	["InvalidItem"] = {
		["ENGLISH"] = "Not a valid item..";
		["FRENCH"] = "Not a valid item..";
		["GERMAN"] = "Not a valid item..";
	};
	
	["InvalidItemId"] = {
		["ENGLISH"] = "Item contains an invalid ID: ";
		["FRENCH"] = "Item contains an invalid ID: ";
		["GERMAN"] = "Item contains an invalid ID: ";
	};
	
	["DupItemId"] = {
		["ENGLISH"] = "Warning! ID was found in database";
		["FRENCH"] = "Warning! ID was found in database";
		["GERMAN"] = "Warning! ID was found in database";
	};
	
	["DamageTypes"] = { -- Used in NewItem.lua and MainWin.lua instead of _DMGTYPE from Globals.lua. Because of redundancy (Damage), you don't need to modify the code
		["KEY"] = {"Common","Ancient Dwarf-make","Beleriand","Fire","Frost","Light","Lightning","Westernesse"};
		["ENGLISH"] = {"Common Damage","Ancient Dwarf-make Damage","Beleriand Damage","Fire Damage","Frost Damage","Light Damage","Lightning Damage","Westernesse Damage"};
		["FRENCH"] = {"Common Damage","Ancient Dwarf-make Damage","Beleriand Damage","Fire Damage","Frost Damage","Light Damage","Lightning Damage","Westernesse Damage"};
		["GERMAN"] = {"Common Damage","Ancient Dwarf-make Damage","Beleriand Damage","Fire Damage","Frost Damage","Light Damage","Lightning Damage","Westernesse Damage"};
	};
	
	["ArmourTypes"] = { -- Used in NewItem.lua and MainWin.lua instead of _TYPE from Globals.lua. Because of redundancy (Armour), you don't need to modify the code
		["KEY"] = {"","Light","Medium","Heavy"};
		["ENGLISH"] = {"","Light Armour","Medium Armour","Heavy Armour"};
		["FRENCH"] = {"","Light Armour","Medium Armour","Heavy Armour"};
		["GERMAN"] = {"","Light Armour","Medium Armour","Heavy Armour"};
	};
	
	["StatsList"] = { -- Used in NewItem.lua instead of _STATS from Globals.lua
		["KEY"] = {"","Agility","All Skill Inductions","Armour","Audacity","Block Rating","Critical Defence","Critical Hit Avoidance","Critical Rating","Evade Chance","Evade Rating","Fate","Finesse Rating","in-Combat Morale Regen","in-Combat Power Regen","Incoming Healing Rating","Maximum Morale","Maximum Power","Might","non-Combat Morale Regen","non-Combat Power Regen","Parry Rating","Physical Mastery Rating","Physical Mitigation","Ranged Defence","Ranged Offence Rating","Resistance Rating","Stealth Level","Tactical Critical Multiplier","Tactical Mastery Rating","Tactical Mitigation","Vitality","Will"};
		["ENGLISH"] = {"","Agility","All Skill Inductions","Armour","Audacity","Block Rating","Critical Defence","Critical Hit Avoidance","Critical Rating","Evade Chance","Evade Rating","Fate","Finesse Rating","in-Combat Morale Regen","in-Combat Power Regen","Incoming Healing Rating","Maximum Morale","Maximum Power","Might","non-Combat Morale Regen","non-Combat Power Regen","Parry Rating","Physical Mastery Rating","Physical Mitigation","Ranged Defence","Ranged Offence Rating","Resistance Rating","Stealth Level","Tactical Critical Multiplier","Tactical Mastery Rating","Tactical Mitigation","Vitality","Will"};
		["FRENCH"] = {"","Agility","All Skill Inductions","Armour","Audacity","Block Rating","Critical Defence","Critical Hit Avoidance","Critical Rating","Evade Chance","Evade Rating","Fate","Finesse Rating","in-Combat Morale Regen","in-Combat Power Regen","Incoming Healing Rating","Maximum Morale","Maximum Power","Might","non-Combat Morale Regen","non-Combat Power Regen","Parry Rating","Physical Mastery Rating","Physical Mitigation","Ranged Defence","Ranged Offence Rating","Resistance Rating","Stealth Level","Tactical Critical Multiplier","Tactical Mastery Rating","Tactical Mitigation","Vitality","Will"};
		["GERMAN"] = {"","Agility","All Skill Inductions","Armour","Audacity","Block Rating","Critical Defence","Critical Hit Avoidance","Critical Rating","Evade Chance","Evade Rating","Fate","Finesse Rating","in-Combat Morale Regen","in-Combat Power Regen","Incoming Healing Rating","Maximum Morale","Maximum Power","Might","non-Combat Morale Regen","non-Combat Power Regen","Parry Rating","Physical Mastery Rating","Physical Mitigation","Ranged Defence","Ranged Offence Rating","Resistance Rating","Stealth Level","Tactical Critical Multiplier","Tactical Mastery Rating","Tactical Mitigation","Vitality","Will"};
	};
	
	-- From Wishlist.lua and My.lua
	["RemoveItems1"] = { -- Before variable with number
		["ENGLISH"] = "Are you sure you want to delete ";
		["FRENCH"] = "Are you sure you want to delete ";
		["GERMAN"] = "Are you sure you want to delete ";
	};
	["RemoveItems2"] = { -- After variable with number
		["ENGLISH"] = " items?";
		["FRENCH"] = " items?";
		["GERMAN"] = " items?";
	};

	["CopyEdit"] = {
		["ENGLISH"] = "Copy/Edit:";
		["FRENCH"] = "Copy/Edit:";
		["GERMAN"] = "Copy/Edit:";
	};
	-- DToX End

	};


function Encode(t)

	for k,v in pairs(t) do
		-- CHeck the translations and UTF encode if needed.
		if type(v) == 'table' then
			Encode(v);
		else
			if k == "FRENCH" or k == "GERMAN" then
				t[k] = ToUTF8(v);
			end
		end
	end

end

Encode(_LANG);


-- DToX Start

-- Functions

-- Merge t1 with t2. Only first level, doesn't searh and match
-- t1 = {[1] = {[<Key>] = {};};};
-- t2 = {[<Key>] = {[<ValueKey>] = <Value>};};
local function AddValueToKey (t1, t2)
	for i in ipairs(t1) do
		for k in pairs(t1[i]) do
			t1[i][k] = t2[k];
		end
	end
end

-- Get translation from the key or show an error
-- array = {["KEY"] = {...}; ["ENGLISH"] = {...}; ["FRENCH"] = {...}; ["FRENCH_KEY"] = {...};}
function KeyToVal (array, key)
	local kar = array[SETTINGS.LANGUAGE .. "_KEY"] or array.KEY;
	for i, v in pairs (kar) do
		if (string.upper(v) == string.upper(key)) then
			return array[SETTINGS.LANGUAGE][i];
		end
	end
	return "KeyToVal: no value for " .. key;
end

-- And reverse operation: get key from the translation or show an error
function ValToKey (array, value)
	for i, v in pairs (array[SETTINGS.LANGUAGE]) do
		if (v == value) then
			if (array[SETTINGS.LANGUAGE .. "_KEY"] ~= nil) then
				return array[SETTINGS.LANGUAGE .. "_KEY"][i];
			else
				return array.KEY[i];
			end
		end
	end
	return "ValToKey: no key for " .. value;
end

-- Remove 1st value (the empty one)
function RemEmptyVal (array)
	for k, v in pairs(array) do
		table.remove(v, 1);
	end
end

-- Maintenance: to check translation and key (when you changed order and key is very long)
-- Example: ct (_LANG.StatsList)
function ct (arr)
	local res = "";
	local kar = arr[SETTINGS.LANGUAGE .. "_KEY"] or arr.KEY;
	for k, v in pairs (kar) do
		res = res .. "\n'" .. v .. "'__'" .. arr[CLIENTLANG][k] .. "'";
	end
	Turbine.Shell.WriteLine("<rgb=#FFFFFF>\nChecking Key__Translation:" .. res .. "'.</rgb>");
end


-- Translation of the variable _CHANNELS (which is created in Globals.lua and used in MainWin.lua)
-- Russian translation - in StringsRus.lua
_CHANNELSTITLES = {
	["/advice"] =	{["ENGLISH"] = "Advice";		["FRENCH"] = "Advice";		["GERMAN"] = "Advice";};
	["/f"] =		{["ENGLISH"] = "Fellowship";	["FRENCH"] = "Fellowship";	["GERMAN"] = "Fellowship";};
	["/k"] =		{["ENGLISH"] = "Kinship";		["FRENCH"] = "Kinship";		["GERMAN"] = "Kinship";};
	["/lff"] =		{["ENGLISH"] = "LFF";			["FRENCH"] = "LFF";			["GERMAN"] = "LFF";};
	["/ooc"] =		{["ENGLISH"] = "OOC";			["FRENCH"] = "OOC";			["GERMAN"] = "OOC";};
	["/o"] =		{["ENGLISH"] = "Officer";		["FRENCH"] = "Officer";		["GERMAN"] = "Officer";};
	["/ra"] =		{["ENGLISH"] = "Raid";			["FRENCH"] = "Raid";		["GERMAN"] = "Raid";};
	["/regional"] =	{["ENGLISH"] = "Regional";		["FRENCH"] = "Regional";	["GERMAN"] = "Regional";};
	["/say"] =		{["ENGLISH"] = "Say";			["FRENCH"] = "Say";			["GERMAN"] = "Say";};
	["/trade"] =	{["ENGLISH"] = "Trade";			["FRENCH"] = "Trade";		["GERMAN"] = "Trade";};
	["/1"] =		{["ENGLISH"] = "UC1";			["FRENCH"] = "UC1";			["GERMAN"] = "UC1";};
	["/2"] =		{["ENGLISH"] = "UC2";			["FRENCH"] = "UC2";			["GERMAN"] = "UC2";};
	["/3"] =		{["ENGLISH"] = "UC3";			["FRENCH"] = "UC3";			["GERMAN"] = "UC3";};
	["/4"] =		{["ENGLISH"] = "UC4";			["FRENCH"] = "UC4";			["GERMAN"] = "UC4";};
};

-- Translation of the variable _STATSEARCH (which is created in Globals.lua and used in MainWin.lua)
-- Russian translation - in StringsRus.lua
_STATSEARCHTITLES = {
	["Maximum Morale"] = {
		["ENGLISH"] = "Max. Morale";
		["FRENCH"] = "Max. Morale";
		["GERMAN"] = "Max. Morale";
	};
	["in-Combat Morale Regen"] = {
		["ENGLISH"] = "ICMR";
		["FRENCH"] = "ICMR";
		["GERMAN"] = "ICMR";
	};
	["non-Combat Morale Regen"] = {
		["ENGLISH"] = "NCMR";
		["FRENCH"] = "NCMR";
		["GERMAN"] = "NCMR";
	};
	["Maximum Power"] = {
		["ENGLISH"] = "Max. Power";
		["FRENCH"] = "Max. Power";
		["GERMAN"] = "Max. Power";
	};
	["in-Combat Power Regen"] = {
		["ENGLISH"] = "ICPR";
		["FRENCH"] = "ICPR";
		["GERMAN"] = "ICPR";
	};
	["non-Combat Power Regen"] = {
		["ENGLISH"] = "NCPR";
		["FRENCH"] = "NCPR";
		["GERMAN"] = "NCPR";
	};
	["Armour"] = {
		["ENGLISH"] = "Armour";
		["FRENCH"] = "Armour";
		["GERMAN"] = "Armour";
	};
	["Might"] = {
		["ENGLISH"] = "Might";
		["FRENCH"] = "Might";
		["GERMAN"] = "Might";
	};
	["Agility"] = {
		["ENGLISH"] = "Agility";
		["FRENCH"] = "Agility";
		["GERMAN"] = "Agility";
	};
	["Vitality"] = {
		["ENGLISH"] = "Vitality";
		["FRENCH"] = "Vitality";
		["GERMAN"] = "Vitality";
	};
	["Will"] = {
		["ENGLISH"] = "Will";
		["FRENCH"] = "Will";
		["GERMAN"] = "Will";
	};
	["Fate"] = {
		["ENGLISH"] = "Fate";
		["FRENCH"] = "Fate";
		["GERMAN"] = "Fate";
	};
	["Critical Rating"] = {
		["ENGLISH"] = "Crit. Rating";
		["FRENCH"] = "Crit. Rating";
		["GERMAN"] = "Crit. Rating";
	};
	["Finesse Rating"] = {
		["ENGLISH"] = "Finesse";
		["FRENCH"] = "Finesse";
		["GERMAN"] = "Finesse";
	};
	["Physical Mastery Rating"] = {
		["ENGLISH"] = "Phys. Mastery";
		["FRENCH"] = "Phys. Mastery";
		["GERMAN"] = "Phys. Mastery";
	};
	["Tactical Mastery Rating"] = {
		["ENGLISH"] = "Tact. Mastery";
		["FRENCH"] = "Tact. Mastery";
		["GERMAN"] = "Tact. Mastery";
	};
	["Resistance Rating"] = {
		["ENGLISH"] = "Resistance";
		["FRENCH"] = "Resistance";
		["GERMAN"] = "Resistance";
	};
	["Audacity"] = {
		["ENGLISH"] = "Audacity";
		["FRENCH"] = "Audacity";
		["GERMAN"] = "Audacity";
	};
	["Incoming Healing Rating"] = {
		["ENGLISH"] = "Incoming Healing";
		["FRENCH"] = "Incoming Healing";
		["GERMAN"] = "Incoming Healing";
	};
	["Block Rating"] = {
		["ENGLISH"] = "Block";
		["FRENCH"] = "Block";
		["GERMAN"] = "Block";
	};
	["Parry Rating"] = {
		["ENGLISH"] = "Parry";
		["FRENCH"] = "Parry";
		["GERMAN"] = "Parry";
	};
	["Evade Rating"] = {
		["ENGLISH"] = "Evade";
		["FRENCH"] = "Evade";
		["GERMAN"] = "Evade";
	};
	["Physical Mitigation"] = {
		["ENGLISH"] = "Physical Mit.";
		["FRENCH"] = "Physical Mit.";
		["GERMAN"] = "Physical Mit.";
	};
	["Tactical Mitigation"] = {
		["ENGLISH"] = "Tactical Mit.";
		["FRENCH"] = "Tactical Mit.";
		["GERMAN"] = "Tactical Mit.";
	};
};


-- Import variables with translation, merge it with variables in file Strings.lua, remove variables with translation
-- Also contains reordered keys
importFile( "StringsRus" );

-- Merge with variables from Globals.lua
AddValueToKey (_CHANNELS, _CHANNELSTITLES);
AddValueToKey (_STATSEARCH, _STATSEARCHTITLES);
-- And remove
_CHANNELSTITLES = nil;
_STATSEARCHTITLES = nil;

-- DToX End