-- Notes:
-- If file uses russian strings, save (encode) it in UTF-8 without BOM
-- If you want russian labels in non-ru clients, don't use TrajanPro font and set font for every ru label (buttons, checkboxes, etc.)
-- To fix links to chat use setData (create shortcut, setData, assign shortcut to quickslot)

-- Example: WL:SetText(_LANG.NAME[SETTINGS.LANGUAGE]);

local _LANGRUS =
{
	--[[Blank 1
	[""] =		{["RUSSIAN"] = "";};
	--]]
	--[[Blank 2
	[""] = {
		["RUSSIAN"] = "";
	};
	--]]

	["NAME"] = 			{["RUSSIAN"] = "Название предмета";};
	["NAME2"] = 		{["RUSSIAN"] = "Name";}; -- Not used in plugin
	["ITEMID"] = 		{["RUSSIAN"] = "ID предмета";};
	["COLOR"] = 		{["RUSSIAN"] = "Качество";};
	["STATS"] =			{["RUSSIAN"] = "Хар-ки";};
	["MINLEVEL"] = 		{["RUSSIAN"] = "Мин. уровень:";};
	["LEVEL"] = 		{["RUSSIAN"] = "Уровень";};
	["CLASS"] = 		{["RUSSIAN"] = "Класс";};
	["ADDITEM"] = 		{["RUSSIAN"] = "Добавить";};
	["EDITITEM"] = 		{["RUSSIAN"] = "Изменить предмет";};
	["RESULTS"] = 		{["RUSSIAN"] = "шт";};
	["TYPE"] = 			{["RUSSIAN"] = "Тип";};
	["RESET"] = 		{["RUSSIAN"] = "Новый поиск";};
	["MYITEMS"] = 		{["RUSSIAN"] = "Добавлены";};
	["QUALITY"] = 		{["RUSSIAN"] = "Качество";};
	["DMGTYPE"] = 		{["RUSSIAN"] = "Урон";};
	["DPS"] = 			{["RUSSIAN"] = "DPS";};
	["MIN"] = 			{["RUSSIAN"] = "Мин.";};
	["MAX"] = 			{["RUSSIAN"] = "Макс.";};
	["UPDATE"] = 		{["RUSSIAN"] = "Обновить";};
	["WISHLIST"] = 		{["RUSSIAN"] = "Желаемое";};
	["TOWISHLIST"] = 	{["RUSSIAN"] = "В желаемое";};
	["ADDNOTE"] = 		{["RUSSIAN"] = "Заметка";};

	["CHECKALL"] = 		{["RUSSIAN"] = "Отметить все";};
	["DELETE"] = 		{["RUSSIAN"] = "Удалить";};
	["EXPORT"] = 		{["RUSSIAN"] = "Экспорт";};
	["BACK"] = 			{["RUSSIAN"] = "Назад";};
	["SELECTALL"] = 	{["RUSSIAN"] = "Выделить все";};
	["EDIT"] = 			{["RUSSIAN"] = "Изменить";};

	["ITEMSCOMPARE"] =	{["RUSSIAN"] = "Сравнить отдельные предметы";};

	["SLOT"] = 			{["RUSSIAN"] = "Ячейка";};
	["EQUIPPED"] = 		{["RUSSIAN"] = "Используемый";};
	["ITEM1"] = 		{["RUSSIAN"] = "Предмет 1";};
	["ITEM2"] = 		{["RUSSIAN"] = "Предмет 2";};
	["SAVE"] = 			{["RUSSIAN"] = "Сохранить";};
	["COMPARE"] = 		{["RUSSIAN"] = "Сравнить";};
	["CLEAR"] = 		{["RUSSIAN"] = "Очистить";};
	["NEW"] = 			{["RUSSIAN"] = "Очистить";};

	["NOITEM"] = 		{["RUSSIAN"] = "Нет предмета";};

	["CURRENT"] = 		{["RUSSIAN"] = "Текущие параметры";};
	["EQUIPSTATS"] = 	{["RUSSIAN"] = "Параметры снаряжения";};
	["ITEMSTATS"] = 	{["RUSSIAN"] = "Параметры варианта";};
	["NEWSTATS"] = 		{["RUSSIAN"] = "Новые параметры";};
	["VARIANCE"] = 		{["RUSSIAN"] = "Разница\n";};

	["FROMTULKAS"] = 	{["RUSSIAN"] = "из Tulkas";};
	["SETBONUS"] = 		{["RUSSIAN"] = "Бонусы комплекта";};
	["EQUIPREFRESH"] = 	{["RUSSIAN"] = "Из снаряжения";};
	["ADDWISHLIST"] = 	{["RUSSIAN"] = "Пополнен список желаемого";};
	["EQUIPLBL"] = 		{["RUSSIAN"] = "Используются"};
	["SET"] = 			{["RUSSIAN"] = "Set";}; -- Not used in plugin
	["COPYBUILD"] = 	{["RUSSIAN"] = "Скопировать предметы в";};


	["MSGCOMPARE"] = {
		["RUSSIAN"] = "Как ни странно, но для сравнения необходимо выбрать минимум два предмета.";
	};

	["NORESULTS"] = {
		["RUSSIAN"] = "¯\\(º_o)/¯\nНичего не найдено. Попробуйте изменить условия поиска или добавьте предмет вручную, используя кнопку 'Добавить'."; -- ADDITEM
	};

	["TOOMANYRESULTS"] = {
		["RUSSIAN"] = "Отображаются не все результаты, пожалуйста, уточните поиск.";
	};

	["NOSTATS"] = {
		["RUSSIAN"] = "Ошибка. Пожалуйста, убедитесь, что указаны параметры.";
	};

	["NONAME"] = {
		["RUSSIAN"] = "Ошибка. Пожалуйста, убедитесь, что введено название.";
	};

	["NEWSAVED"] = {
		["RUSSIAN"] = "Сохранен.";
	};

	["NEWUPDATE"] = {
		["RUSSIAN"] = "Обновлен.";
	};

	["SEARCHSTART"] = {
		["RUSSIAN"] = "<< Можно начать с поиска";
	};
	
	["SEARCHING"] = {
		["RUSSIAN"] = "Раз ромашка, два ромашка...";
	};

	["EXPORTMSG"] = {
		["RUSSIAN"] = "Для экспорта нажмите кнопку 'Выделить все' и используйте комбинацию Ctrl+C. Теперь данные можно куда-нибудь вставить для дальнейшей обработки."; -- SELECTALL
	};

	["MSGUPLOAD"] = {
		["RUSSIAN"] = "Пожалуйста, помогите в развитии этого плагина, загружая свои предметы на сайт Lotro Interface, чтобы они были включены в будущие обновления.";
	};

	["MSGDELETE"] = {
		["RUSSIAN"] = "Пожалуйста, выберите предмет.";
	};

	["MSGEXPORT"] = {
		["RUSSIAN"] = "Пожалуйста, выберите предмет.";
	};

	["MSGSELEDIT"] = {
		["RUSSIAN"] = "Пожалуйста, выберите один предмет.";
	};

	["MSGGETEQUIPMENT"] = {
		["RUSSIAN"] = "Заменить предметы этого варианта на используемые предметы из снаряжения?";
	};
	
	
	-- From Builds.lua
	["SearchEquipment"] = {
		["RUSSIAN"] = "Раздеваю... пожалуйста, подождите";
	};
	
	["EquipmentFound"] = {
		["RUSSIAN"] = "Готово";
	};
	
	["ClearBuild"] = {
		["RUSSIAN"] = "Вы уверены, что хотите очистить данный вариант?";
	};
	
	["SetItemsEquipped"] = { -- Example: "2 Equipped:"
		["RUSSIAN"] = " используемых:";
	};
	
	-- From ChatLogger.lua
	["ErrorItemInstance"] = {
		["RUSSIAN"] = "образец, не удается получить ID. Попробуйте перетащить предмет в ячейку быстрого доступа";
	};
	
	-- From Compare.lua
	["CompareStatsTitles"] = { -- Used in Compare.lua instead of _STATSTITLES from Globals.lua
		["RUSSIAN"] = {"Запас боевого духа","БД: восстан. в бою","БД: восстан. вне боя","Запас энергии","Энергия: восстан. в бою","Энергия: восстан. вне боя","Броня","Сила","Ловкость","Стойкость","Воля","Вера","Критический рейтинг","Искусность","Физическое мастерство","Тактическое мастерство","Сопротивление","Защита от крит. ударов","Получаемое лечение","Блокирование","Парирование","Уклонение","Физическое смягчение","Тактическое смягчение"};
	};
	
	["CompareTableLanguage"] = {
		["RUSSIAN"] = {"Английский", "Немецкий", "Французский", "Русский"};
	};
	
	["CompareTableHeader"] = {
		["RUSSIAN"] = {"Персонаж", "Используются", "Предмет(ы)", "Разница"};
	};
	
	["CompareTableFooter"] = {
		["RUSSIAN"] = "Сравнительная таблица создана с помощью плагина Tulkas версии ";
	};
	
	-- From Main.lua
	["ErrorSettings"] = {
		["RUSSIAN"] = "Ошибка при загрузке настроек";
	};
	
	["ErrorItems"] = {
		["RUSSIAN"] = "Ошибка при загрузке предметов, добавленных игроком";
	};
	
	["ErrorBuilds"] = {
		["RUSSIAN"] = "Ошибка при загрузке вариантов";
	};
	
	["ErrorWishlist"] = {
		["RUSSIAN"] = "Ошибка при загрузке списка желаемого";
	};
	
	["cmdMainWinHelp"] = {
		["RUSSIAN"] = "Открыть основное окно плагина Tulkas";
	};
	
	["cmdWishListHelp"] = {
		["RUSSIAN"] = "Открыть список желаемого плагина Tulkas";
	};
	
	["cmdDBSIZEHelp"] = {
		["RUSSIAN"] = "Посчитать количество предметов в базе данных плагина Tulkas";
	};
	
	["DBSIZE1"] = { -- Before variable
		["RUSSIAN"] = "База данных содержит предметов: ";
	};
	
	["DBSIZE2"] = { -- After variable
		["RUSSIAN"] = "";
	};
	
	["PluginLoadedInvisible"] = {
		["RUSSIAN"] = "Плагин загружен.\nДля открытия основного окна используйте /tulkas";
	};
	
	-- From MainWin.lua
	["btnSettingsChannel"] = {
		["RUSSIAN"] = "Показывать предметы в канале:";
	};
	
	["ItemTypes"] = {
		["RUSSIAN"] = {"","Серьга","Ожерелье","Карман","Браслет","Кольцо","Голова","Плечи","Спина","Грудь","Руки","Ноги","Обувь","Оружие бл. боя","Щит","Оружие д. боя","Рунич. камень"};
	};
	
	["ItemColors"] = {
		["RUSSIAN"] = {"","Желтый","Фиолетов.","Голубой","Оранжевый"};
	};
	
	["MeleeWeapons"] = {
		["RUSSIAN"] = {"Одноручный топор","Двуручный топор","Одноручная палица","Двуручная палица","Кинжал","Алебарда","Одноручный молот","Двуручный молот","Одноручная булава","Копье","Посох","Одноручный меч","Двуручный меч"};
	};
	
	["RangedWeapons"] = {
		["RUSSIAN"] = {"Лук","Арбалет","Метательное копье"};
	};
	
	["ShieldTypes"] = {
		["RUSSIAN"] = {"Легкий","Тяжелый","Защитника"};
	};
	
	["PopupDirect"] = {
		["RUSSIAN"] = "Добавить к сравнению как:";
	};
	
	["PopupBuild"] = {
		["RUSSIAN"] = "Добавить к варианту:";
	};
	
	["PopupSlots"] = {
		["RUSSIAN"] = {"Серьга 1","Серьга 2","Ожерелье","Карман","Браслет 1","Браслет 2","Кольцо 1","Кольцо 2","Голова","Плечи","Спина","Грудь","Руки","Ноги","Обувь","Основное оружие","Дополнительное оружие","Оружие дальнего боя","Щит"};
	};
	
	["ClassNames"] = { -- Reordered
		["RUSSIAN_KEY"] = {"","Burglar","Champion","Warden","Minstrel","Hunter","Captain","Guardian","LoreMaster","RuneKeeper"};
		["RUSSIAN"] = {"","Взломщик","Воитель","Защитник","Менестрель","Охотник","Рыцарь","Страж","Хранитель мудрости","Хранитель рун"};
	};
	
	["ErrorStoreCompare"] = {
		["RUSSIAN"] = "Ошибка при добавлении предмета к сравнению";
	};
	
	["ErrorRemoveCompare"] = {
		["RUSSIAN"] = "Ошибка при удалении предмета из сравнения";
	};
	
	-- From NewItem.lua
	["ListenToChannel"] = {
		["RUSSIAN"] = "Следить за каналом:";
	};
	
	["ChannelNames"] = { -- Reordered
		["RUSSIAN_KEY"] = {"EnemyCombat","PlayerCombat","Fellowship","Quest","Advancement","Officer","Error","Raid","Regional","Standard","UserChat1","UserChat2","UserChat3","UserChat4","Tell","Advice","Kinship","Trade","Say","Emote","Admin","Death","IsA","LFF","OOC","Roleplay","Tribe","Undef","Unfiltered"};
		["RUSSIAN"] = {"Бой: враги","Бой: игрок","Братство","Задания","Прогресс","Офицеры","Ошибка","Рейд","Регион","Обычный","Свой канал 1","Свой канал 2","Свой канал 3","Свой канал 4","Сказать","Советы","Содружество","Торговля","Чат","Эмоции","Admin","Death","IsA","LFF","OOC","RP","Tribe","Undef","Unfiltered"};
		-- Same as eng
		--["RUSSIAN"] = {"Admin","Прогресс","Советы","Death","Эмоции","Бой: враги","Ошибка","Братство","IsA","Содружество","LFF","Офицеры","OOC","Бой: игрок","Задания","Рейд","Регион","RP","Чат","Обычный","Сказать","Торговля","Tribe","Undef","Unfiltered","Свой канал 1","Свой канал 2","Свой канал 3","Свой канал 4"};
	};
	
	["ListeningInChannel"] = {
		["RUSSIAN"] = "Слежу за предметами в канале ";
	};
	
	["DragAndDrop"] = {
		["RUSSIAN"] = "Перетащите:";
	};
	
	["InvalidItem"] = {
		["RUSSIAN"] = "Предмет ли это? Подозрительная вещица..";
	};
	
	["InvalidItemId"] = {
		["RUSSIAN"] = "У предмета неверный ID: ";
	};
	
	["DupItemId"] = {
		["RUSSIAN"] = "Внимание! Предмет с таким ID уже содержится в базе";
	};
	
	["DamageTypes"] = { -- Reordered
		["RUSSIAN_KEY"] = {"Common","Beleriand","Ancient Dwarf-make","Westernesse","Fire","Frost","Light","Lightning"};
		["RUSSIAN"] = {"Обычного типа","Белериандского типа","Древнего гномьего типа","Нуменорского типа","Огнем","Холодом","Светом","Молнией"};
	};
	
	["ArmourTypes"] = {
		["RUSSIAN"] = {"","Легкие доспехи","Средние доспехи","Тяжелые доспехи"};
	};
	
	["StatsList"] = { -- Reordered
		["RUSSIAN_KEY"] = {"","Armour","Might","Agility","Vitality","Will","Fate","Maximum Morale","Maximum Power","in-Combat Morale Regen","non-Combat Morale Regen","in-Combat Power Regen","non-Combat Power Regen","Critical Rating","Finesse Rating","Incoming Healing Rating","Resistance Rating","Block Rating","Parry Rating","Evade Rating","Evade Chance","Physical Mastery Rating","Physical Mitigation","Tactical Mastery Rating","Tactical Mitigation","Tactical Critical Multiplier","All Skill Inductions","Audacity","Stealth Level","Ranged Offence Rating","Critical Defence","Critical Hit Avoidance","Ranged Defence"};
		["RUSSIAN"] = {"","Броня","Сила","Ловкость","Стойкость","Воля","Вера","Запас боевого духа","Запас энергии","Восстан. БД в бою","Восстан. БД вне боя","Восстан. энергии в бою","Восстан. энергии вне боя","Критический рейтинг","Искусность","Получаемое лечение","Сопротивление","Блокирование","Парирование","Уклонение (рейтинг)","Уклонение (шанс)","Физическое мастерство","Физическое смягчение","Тактическое мастерство","Тактическое смягчение","Тактический крит. урон","Время применения умений","Отвага","Уровень скрытности","Урон в дальнем бою","Защ. от крит. ударов (De)","Защ. от крит. ударов (Av)","Смягчение урона в д. бою"};
	};
	
	-- From Wishlist.lua and My.lua
	["RemoveItems1"] = { -- Before variable with number
		["RUSSIAN"] = "Вы действительно хотите удалить предметы (";
	};
	["RemoveItems2"] = { -- After variable with number
		["RUSSIAN"] = " шт.)?";
	};
	
	["CopyEdit"] = {
		["RUSSIAN"] = "Копир./Изменить:";
	};
	
};


local _CHANNELSRus = {
	["/advice"] =	{["RUSSIAN"] = "Советы";};
	["/f"] =		{["RUSSIAN"] = "Братство";};
	["/k"] =		{["RUSSIAN"] = "Содружество";};
	["/lff"] =		{["RUSSIAN"] = "LFF";};
	["/ooc"] =		{["RUSSIAN"] = "OOC";};
	["/o"] =		{["RUSSIAN"] = "Офицеры";};
	["/ra"] =		{["RUSSIAN"] = "Рейд";};
	["/regional"] =	{["RUSSIAN"] = "Регион";};
	["/say"] =		{["RUSSIAN"] = "Чат";};
	["/trade"] =	{["RUSSIAN"] = "Торговля";};
	["/1"] =		{["RUSSIAN"] = "Свой канал 1";};
	["/2"] =		{["RUSSIAN"] = "Свой канал 2";};
	["/3"] =		{["RUSSIAN"] = "Свой канал 3";};
	["/4"] =		{["RUSSIAN"] = "Свой канал 4";};
};

local _STATSEARCHRus = {
	["Maximum Morale"] = {
		["RUSSIAN"] = "Запас БД";
	};
	["in-Combat Morale Regen"] = {
		["RUSSIAN"] = "БД: в бою";
	};
	["non-Combat Morale Regen"] = {
		["RUSSIAN"] = "БД: вне боя";
	};
	["Maximum Power"] = {
		["RUSSIAN"] = "Запас энергии";
	};
	["in-Combat Power Regen"] = {
		["RUSSIAN"] = "Энергия: в бою";
	};
	["non-Combat Power Regen"] = {
		["RUSSIAN"] = "Энергия: вне боя";
	};
	["Armour"] = {
		["RUSSIAN"] = "Броня";
	};
	["Might"] = {
		["RUSSIAN"] = "Сила";
	};
	["Agility"] = {
		["RUSSIAN"] = "Ловкость";
	};
	["Vitality"] = {
		["RUSSIAN"] = "Стойкость";
	};
	["Will"] = {
		["RUSSIAN"] = "Воля";
	};
	["Fate"] = {
		["RUSSIAN"] = "Вера";
	};
	["Critical Rating"] = {
		["RUSSIAN"] = "Крит. рейтинг";
	};
	["Finesse Rating"] = {
		["RUSSIAN"] = "Искусность";
	};
	["Physical Mastery Rating"] = {
		["RUSSIAN"] = "Физ. мастерство";
	};
	["Tactical Mastery Rating"] = {
		["RUSSIAN"] = "Такт. мастерство";
	};
	["Resistance Rating"] = {
		["RUSSIAN"] = "Сопротивление";
	};
	["Audacity"] = {
		["RUSSIAN"] = "Отвага";
	};
	["Incoming Healing Rating"] = {
		["RUSSIAN"] = "Получ. лечение";
	};
	["Block Rating"] = {
		["RUSSIAN"] = "Блокирование";
	};
	["Parry Rating"] = {
		["RUSSIAN"] = "Парирование";
	};
	["Evade Rating"] = {
		["RUSSIAN"] = "Уклонение";
	};
	["Physical Mitigation"] = {
		["RUSSIAN"] = "Физ. смягчение";
	};
	["Tactical Mitigation"] = {
		["RUSSIAN"] = "Такт. смягчение";
	};
};


-- DToX Start
-- Add translation to the variable _LANG (Strings.lua)
local CLIENTLANG = "RUSSIAN"; -- To fix loading on non-RU clients
for k, v in pairs(_LANG) do
	if (_LANGRUS[k] == nil) then -- Just in case
		v[CLIENTLANG] = "!!EMPTY. ADD TRANSLATION!!";
		Turbine.Shell.WriteLine("<rgb=#FF0000>!! Add translation for '" .. k .. "'.</rgb>");
	else
		v[CLIENTLANG] = _LANGRUS[k][CLIENTLANG];
		local LK = CLIENTLANG .. "_KEY";
		if (_LANGRUS[k][LK]) then -- Add custom order of the key
			v[LK] = _LANGRUS[k][LK];
		end
	end
end
-- Alternative: mergeTables (_LANG, _LANGRUS)
-- But it adds to keys. Doesn't traverse or replace.
-- Note: With changes to the KEY it may work now

-- Add translation to the variables _CHANNELSTITLES and _STATSEARCHTITLES (Strings.lua)
mergeTables (_CHANNELSTITLES, _CHANNELSRus);
mergeTables (_STATSEARCHTITLES, _STATSEARCHRus);

-- From Globals.lua
-- Because string.len (<russian letter>) = 2. So 10 = 5 letters
BUILDNAMEMAX = 40; -- Build's name
TABMAXLENGTH = 24; -- Build's name on the tab
DEFAULT_SETTINGS["BUILD1"] = "Вариант 1"; -- Translation
DEFAULT_SETTINGS["BUILD2"] = "Вариант 2";


-- Because string.upper and string.lower don't work
local LCL = {"а","б","в","г","д","е","ё","ж","з","и","й","к","л","м","н","о","п","р","с","т","у","ф","х","ц","ч","ш","щ","ъ","ы","ь","э","ю","я"};
local UCL = {"А","Б","В","Г","Д","Е","Ё","Ж","З","И","Й","К","Л","М","Н","О","П","Р","С","Т","У","Ф","Х","Ц","Ч","Ш","Щ","Ъ","Ы","Ь","Э","Ю","Я"};

function toUpper (s)
	for i, v in pairs (LCL) do
		if (s:find(v)) then
			s = s:gsub(v, UCL[i]);
		end
	end
	return s;
end

function toLower (s)
	for i, v in pairs (UCL) do
		if (s:find(v)) then
			s = s:gsub(v, LCL[i]);
		end;
	end
	return s;
end
-- DToX End